{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "Формат Telegram “Медиалогия”" %}
{% set page_id = "4.2.1" %}


{% block heading %}
    <div class="content-header d-flex align-items-center justify-content-between flex-wrap mb-50">
        <h1 class="content-header__title mb-50">{{ title }}</h1>
        <button class="btn btn-primary mb-50">Добавить</button>
    </div>

{% endblock %}

{% block main %}

    <div class="card mb-0">
        <div class="card-header pl-1 pr-1 pb-0">
            <fieldset class="form-group position-relative has-icon-left flex-grow-1 mr-75 mb-50">
                <input type="text" class="form-control" placeholder="Поиск канала">
                <div class="form-control-position">
                    <i class="bx bx-search"></i>
                </div>
            </fieldset>
            <div class="d-flex align-items-center mb-50">
                <button type="button" class="btn btn-primary shadow mr-75">Поиск</button>
                <fieldset>
                    <select class="select2">
                        <option selected disabled>Сортировка</option>
                        <option>По возрастанию</option>
                        <option>По убыванию</option>
                        <option>Сначала новые</option>
                    </select>
                </fieldset>
            </div>
        </div><!-- .card-header -->
        <div class="font-size-small pl-1 pr-1 border-bottom">Всего потоков: 49 238 </div>
        <!-- datatable start -->
        <div class="table-responsive">
            <table class="table table-hover table-extended-main">
                <thead>
                <tr>
                    <th class="text-nowrap">ID</th>
                    <th class="text-nowrap">Название канала</th>
                    <th class="text-nowrap">Ссылка</th>
                    <th class="text-nowrap">Добавлен</th>
                    <th class="text-nowrap">Обновлен</th>
                    <th class="text-nowrap">Просмотр потока</th>
                    <th class="text-nowrap">Редактировать</th>
                    <th class="text-nowrap">Статус</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td class="text-nowrap">
                        <a href="#" >00956</a>
                    </td>
                    <td class="text-nowrap">Третий канал для проекта 2</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#">nexta_live</a>
                    </td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="btn btn-sm shadow round ">открыть поток</a>
                    </td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="text-underline">редактировать</a>
                    </td>
                    <td>
                        <div class="custom-control custom-switch custom-switch-primary custom-switch-glow custom-control-inline">
                            <input type="checkbox" class="custom-control-input" id="customSwitchGlow1" checked>
                            <label class="custom-control-label" for="customSwitchGlow1"></label>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="text-nowrap">
                        <a href="#" >00349</a>
                    </td>
                    <td class="text-nowrap">Канал 4</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#">smash1</a>
                    </td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="btn btn-sm shadow round ">открыть поток</a>
                    </td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="text-underline">редактировать</a>
                    </td>
                    <td>
                        <div class="custom-control custom-switch custom-switch-primary custom-switch-glow custom-control-inline">
                            <input type="checkbox" class="custom-control-input" id="customSwitchGlow1" checked>
                            <label class="custom-control-label" for="customSwitchGlow1"></label>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="text-nowrap">
                        <a href="#" >00853</a>
                    </td>
                    <td class="text-nowrap">Смэш</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#">smash3</a>
                    </td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="btn btn-sm shadow round ">открыть поток</a>
                    </td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="text-underline">редактировать</a>
                    </td>
                    <td>
                        <div class="custom-control custom-switch custom-switch-primary custom-switch-glow custom-control-inline">
                            <input type="checkbox" class="custom-control-input" id="customSwitchGlow1" checked>
                            <label class="custom-control-label" for="customSwitchGlow1"></label>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="text-nowrap">
                        <a href="#" >00452</a>
                    </td>
                    <td class="text-nowrap">Некто</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#">smash2</a>
                    </td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="btn btn-sm shadow round ">открыть поток</a>
                    </td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="text-underline">редактировать</a>
                    </td>
                    <td>
                        <div class="custom-control custom-switch custom-switch-primary custom-switch-glow custom-control-inline">
                            <input type="checkbox" class="custom-control-input" id="customSwitchGlow1" checked>
                            <label class="custom-control-label" for="customSwitchGlow1"></label>
                        </div>
                    </td>
                </tr>

                <tr>
                    <td class="text-nowrap">
                        <a href="#" >00956</a>
                    </td>
                    <td class="text-nowrap">Третий канал для проекта 2</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#">nexta_live</a>
                    </td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="btn btn-sm shadow round ">открыть поток</a>
                    </td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="text-underline">редактировать</a>
                    </td>
                    <td>
                        <div class="custom-control custom-switch custom-switch-primary custom-switch-glow custom-control-inline">
                            <input type="checkbox" class="custom-control-input" id="customSwitchGlow1" checked>
                            <label class="custom-control-label" for="customSwitchGlow1"></label>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="text-nowrap">
                        <a href="#" >00349</a>
                    </td>
                    <td class="text-nowrap">Канал 4</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#">smash1</a>
                    </td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="btn btn-sm shadow round ">открыть поток</a>
                    </td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="text-underline">редактировать</a>
                    </td>
                    <td>
                        <div class="custom-control custom-switch custom-switch-primary custom-switch-glow custom-control-inline">
                            <input type="checkbox" class="custom-control-input" id="customSwitchGlow1" checked>
                            <label class="custom-control-label" for="customSwitchGlow1"></label>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="text-nowrap">
                        <a href="#" >00853</a>
                    </td>
                    <td class="text-nowrap">Смэш</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#">smash3</a>
                    </td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="btn btn-sm shadow round ">открыть поток</a>
                    </td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="text-underline">редактировать</a>
                    </td>
                    <td>
                        <div class="custom-control custom-switch custom-switch-primary custom-switch-glow custom-control-inline">
                            <input type="checkbox" class="custom-control-input" id="customSwitchGlow1" checked>
                            <label class="custom-control-label" for="customSwitchGlow1"></label>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="text-nowrap">
                        <a href="#" >00452</a>
                    </td>
                    <td class="text-nowrap">Некто</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#">smash2</a>
                    </td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="btn btn-sm shadow round ">открыть поток</a>
                    </td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="text-underline">редактировать</a>
                    </td>
                    <td>
                        <div class="custom-control custom-switch custom-switch-primary custom-switch-glow custom-control-inline">
                            <input type="checkbox" class="custom-control-input" id="customSwitchGlow1" checked>
                            <label class="custom-control-label" for="customSwitchGlow1"></label>
                        </div>
                    </td>
                </tr>

                <tr>
                    <td class="text-nowrap">
                        <a href="#" >00956</a>
                    </td>
                    <td class="text-nowrap">Третий канал для проекта 2</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#">nexta_live</a>
                    </td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="btn btn-sm shadow round ">открыть поток</a>
                    </td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="text-underline">редактировать</a>
                    </td>
                    <td>
                        <div class="custom-control custom-switch custom-switch-primary custom-switch-glow custom-control-inline">
                            <input type="checkbox" class="custom-control-input" id="customSwitchGlow1" checked>
                            <label class="custom-control-label" for="customSwitchGlow1"></label>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="text-nowrap">
                        <a href="#" >00349</a>
                    </td>
                    <td class="text-nowrap">Канал 4</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#">smash1</a>
                    </td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="btn btn-sm shadow round ">открыть поток</a>
                    </td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="text-underline">редактировать</a>
                    </td>
                    <td>
                        <div class="custom-control custom-switch custom-switch-primary custom-switch-glow custom-control-inline">
                            <input type="checkbox" class="custom-control-input" id="customSwitchGlow1" checked>
                            <label class="custom-control-label" for="customSwitchGlow1"></label>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="text-nowrap">
                        <a href="#" >00853</a>
                    </td>
                    <td class="text-nowrap">Смэш</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#">smash3</a>
                    </td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="btn btn-sm shadow round ">открыть поток</a>
                    </td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="text-underline">редактировать</a>
                    </td>
                    <td>
                        <div class="custom-control custom-switch custom-switch-primary custom-switch-glow custom-control-inline">
                            <input type="checkbox" class="custom-control-input" id="customSwitchGlow1" checked>
                            <label class="custom-control-label" for="customSwitchGlow1"></label>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="text-nowrap">
                        <a href="#" >00452</a>
                    </td>
                    <td class="text-nowrap">Некто</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#">smash2</a>
                    </td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">11:21;02/02/2021</td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="btn btn-sm shadow round ">открыть поток</a>
                    </td>
                    <td class="text-nowrap font-size-small">
                        <a href="#" class="text-underline">редактировать</a>
                    </td>
                    <td>
                        <div class="custom-control custom-switch custom-switch-primary custom-switch-glow custom-control-inline">
                            <input type="checkbox" class="custom-control-input" id="customSwitchGlow1" checked>
                            <label class="custom-control-label" for="customSwitchGlow1"></label>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
        <!-- datatable ends -->
    </div>
    <div class="page-nav">
        <div class="page-nav__sm">
            <button class="btn btn-primary btn-long">Показать еще</button>
        </div>
        <div class="page-nav__md">
            <div class="page-view font-size-small">
                *- система не содержит персональных данных, только публично обнародованные общедоступные рабочие контакты
            </div>
            <ul class="pagination justify-content-end">
                <li class="page-item previous disabled">
                    <a class="page-link" href="javascript:void(0);">
                        <i class="bx bx-chevron-left"></i>
                    </a>
                </li>
                <li class="page-item active" aria-current="page"><a class="page-link" href="javascript:void(0);">1</a></li>
                <li class="page-item"><a class="page-link" href="javascript:void(0);">2</a></li>
                <li class="page-item"><a class="page-link" href="javascript:void(0);">3</a></li>
                <li class="page-item"><a class="page-link" href="javascript:void(0);">4</a></li>
                <li class="page-item"><a class="page-link" href="javascript:void(0);">5</a></li>
                <li class="page-item"><a class="page-link" href="javascript:void(0);">6</a></li>
                <li class="page-item"><a class="page-link" href="javascript:void(0);">7</a></li>
                <li class="page-item next">
                    <a class="page-link" href="javascript:void(0);">
                        <i class="bx bx-chevron-right"></i>
                    </a>
                </li>
            </ul>
        </div>
    </div>
{% endblock %}

{% block scripts %}

    <script>
        $('.table-extended-main').DataTable({
                "responsive": true,
                "searching": false,
                "lengthChange": false,
                "paging": false,
                "bInfo": false,
                "columnDefs": [
                    { "orderable": false, "targets": 2 },
                ]
            }
        );

    </script>

{% endblock %}

